\section{The Reservation Model}
 
Burjons et al. introduced two new variants of the \textit{Secretary Problem} \cite{burjons21}. Besides accepting or rejecting a candidate, the interviewer is also allowed to reserve a candidate at a given reservation cost, allowing the interviewer to accept that candidate later in the interview process. Again, the interviewer only sees the relative ranks of the candidates. In the \textit{reservation-per-step} model, the interviewer has to pay the reservation cost $c$ for each step a specific candidate is reserved, and in the \textit{reservation-per-item} model, the interviewer pays the reservation cost once per candidate, and the reservation remains valid until the end of the interview process. An optimal strategy maximizes the expected gain over all instances. The gain is $1-rc$ if the interviewer accepts the overall best candidate and $-rc$ if the interviewer accepts another candidate, where $r$ is the number of reservations made.

For the \textit{reservation-per-step} model, where the interviewer has to pay the reservation cost for each step that the reservation should be kept alive, the optimal strategy mirrors the strategy without reservations for $c > 1/n$. For smaller reservation costs, the expected gain increases with decreasing reservation costs. The optimal strategy is defined by two phases. In the first phase, all candidates are rejected. In the second phase, every candidate that is best so far is reserved until a new best is seen. In the last phase, the reserved candidate is accepted.

For the \textit{reservation-per-item} model, the optimal strategy mirrors the classic strategy for $c$ asymptotically larger than $1/e$. For smaller reservation costs, the expected gain gets larger than $1/e$ as the number of candidates approaches infinity.  The optimal strategy is defined by three phases. In the first phase, all candidates are rejected. In the second phase, all candidates that are best so far are reserved. In the end, the reserved candidate is accepted if it's the best. Otherwise, the last candidate is accepted.

There are other models where the interviewer can accept previous candidates under different conditions. Smith and Deeley analyzed a variant in which, at each step, one of the previous $m$ candidates can be accepted \cite{deely75}. Rose analyzed two different variants in which the interviewer can purchase renewable recall options, very similar to the model introduced above \cite{rose84}. The first variant is identical to the \textit{reservation-per-step} model we introduced. In the second variant, the reservation cost at each step is not constant but is increasing monotonically over time. Yang analyzed the variant where previous candidates can be accepted later, but there is a probability, which increases over time, that those candidates will reject the interviewer's offer \cite{yang1974}.